%if 0%{?fedora} > 12
%global with_python3 1
%endif

Name:           python-openopt
Version:        0.5625
Release:        9%{?dist}
Summary:        A python module for numerical optimization

License:        BSD
URL:            http://openopt.org/
Source0:        https://pypi.python.org/packages/source/o/openopt/openopt-%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setproctitle
BuildRequires:  python2-numpy
BuildRequires:  /usr/bin/2to3
%if 0%{?with_python3}
BuildRequires:  python2-tools
BuildRequires:  python3-devel
BuildRequires:  python3-setproctitle
BuildRequires:  python3-numpy
BuildRequires:  python3-setuptools
%endif

%global _description\
Universal numerical optimization package with several\
own solvers (e.g. ralg) and connections to tens of\
other, graphical output of convergence and many other\
goodies.

%description %_description

%package -n python2-openopt
Summary: %summary
Provides:       python2-openopt
Requires:       python2-numpy
%{?python_provide:%python_provide python2-openopt}

%description -n python2-openopt %_description

%if 0%{?with_python3}
%package -n python3-openopt
Summary:        A python module for numerical optimization
%{?python_provide:%python_provide python3-openopt}
Requires:       python3-numpy

%description -n python3-openopt
Universal numerical optimization package with several 
own solvers (e.g. ralg) and connections to tens of 
other, graphical output of convergence and many other 
goodies.
%endif

%prep
%setup -q -n openopt-%{version}

# Remove some shebangs
for lib in openopt/solvers/Standalone/tsp.py openopt/__init__.py openopt/kernel/mfa.py ; do
 sed '1{\@^#!.*@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# Remove some executable bits on documentation examples.
chmod 0644 openopt/examples/snle_1.py openopt/examples/tsp_1.py

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
2to3 --write --nobackups .
%{__python3} setup.py build
popd
%endif


%install
rm -rf %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}%{python3_sitelib}/openopt/examples 
popd
%endif

%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}%{python_sitelib}/openopt/examples 

%check
%{__python} setup.py test

#python3 tests not working
#%%if 0%{?with_python3}
#%pushd %{py3dir}
#%%{__python3} setup.py test
#%popd
#%%endif


%files -n python2-openopt
%doc PKG-INFO openopt/examples
# For noarch packages: sitelib
%{python_sitelib}/openopt
%{python_sitelib}/openopt-%{version}-py%{python_version}.egg-info

%if 0%{?with_python3}
%files -n python3-openopt
%doc PKG-INFO openopt/examples
%{python3_sitelib}/openopt
%{python3_sitelib}/openopt-%{version}-py%{python3_version}.egg-info
%endif

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5625-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5625-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5625-7
- Python 2 binary package renamed to python2-openopt
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5625-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5625-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5625-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5625-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5625-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu  Dec 17 2015 Steve Traylen <steve.traylen@cern.ch> - 0.5625-1
- Upstream 0.5625

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5602-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5602-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 1 2015 Steve Traylen <steve.traylen@cern.ch> - 0.5602-1
- Upstream 0.5602

* Fri Sep 12 2014 Steve Traylen <steve.traylen@cern.ch> - 0.5402-1
- Upstream 0.5402

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5092-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.5092-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Aug 26 2013 Steve Traylen <steve.traylen@cern.ch> - 0.5092-1
- Initial package

